## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesAttrWrapperAllocator Class Reference

List of all members.

## Public Types

- typedef XercesAttrWrapper ObjectType
- typedef ArenaAllocator< ObjectType > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XercesAttrWrapperAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XercesAttrWrapperAllocator ()
- ObjectType * create (const DOMAttrType *theXercesAttr, const XercesWrapperNavigator &theNavigator)
    Create a XercesAttrWrapper instance.
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XercesAttrWrapperAllocator::ArenaAllocatorType

typedef XercesAttrWrapper XercesAttrWrapperAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesAttrWrapperAllocator::size_type

## Constructor & Destructor Documentation

XercesAttrWrapperAllocator::XercesAttrWrapperAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XercesAttrWrapperAllocator::~XercesAttrWrapperAllocator | ( |  | ) |

## Member Function Documentation

ObjectType* XercesAttrWrapperAllocator::create | ( | const DOMAttrType * | theXercesAttr,
|  | const XercesWrapperNavigator & | theNavigator
| ) |

Create a XercesAttrWrapper instance.

Parameters:

  theXercesAttr | The Xerces attribute node
  theNavigator | The navigator for this instance.

Returns:
  pointer to the instance

size_type XercesAttrWrapperAllocator::getBlockCount | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XercesAttrWrapperAllocator::getBlockSize | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XercesAttrWrapperAllocator::reset | ( |  | ) |

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesAttrWrapperAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.